<!doctype html>
<html>
<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>UI Studio</title>
	<link rel="shortcut icon" type="image/icon" href="favicon.ico"/>
	<!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
	<!--[if lt IE 9]>
	<script src="html5shiv.js"></script>
	<![endif]-->

<style type="text/css">

.loadingDiv{
	position:absolute;margin:auto;top:0;bottom:0;left:0;right:0;width:6.250em;height:6.250em;

	-webkit-animation:rotate 2.4s linear infinite;
	-moz-animation:rotate 2.4s linear infinite;
	-o-animation:rotate 2.4s linear infinite;
	animation:rotate 2.4s linear infinite;
}
.loadingDiv .white {
	top:0;bottom:0;left:0;right:0;background:white;opacity:0;

	-webkit-animation:flash 2.4s linear infinite;
	-moz-animation:flash 2.4s linear infinite;
	-o-animation:flash 2.4s linear infinite;
	animation:flash 2.4s linear infinite;
}
.loadingDiv .dot {
	position:absolute;margin:auto;width:2.4em;height:2.4em;border-radius:100%;

	-webkit-transition:all 1s ease;
	-moz-transition:all 1s ease;
	-o-transition:all 1s ease;
	transition:all 1s ease;
}
.loadingDiv .dot:nth-child(2) {
	top:0;bottom:0;left:0;background:#FF4444;

	-webkit-animation:dotsY 2.4s linear infinite;
	-moz-animation:dotsY 2.4s linear infinite;
	-o-animation:dotsY 2.4s linear infinite;
	animation:dotsY 2.4s linear infinite;
}
.loadingDiv .dot:nth-child(3) {
	left:0;right:0;top:0;background:#FFBB33;

	-webkit-animation:dotsX 2.4s linear infinite;
	-moz-animation:dotsX 2.4s linear infinite;
	-o-animation:dotsX 2.4s linear infinite;
	animation:dotsX 2.4s linear infinite;
}
.loadingDiv .dot:nth-child(4) {
	top:0;bottom:0;right:0;background:#99CC00;

	-webkit-animation:dotsY 2.4s linear infinite;
	-moz-animation:dotsY 2.4s linear infinite;
	-o-animation:dotsY 2.4s linear infinite;
	animation:dotsY 2.4s linear infinite;
}
.loadingDiv .dot:nth-child(5) {
	left:0;right:0;bottom:0;background:#33B5E5;

	-webkit-animation:dotsX 2.4s linear infinite;
	-moz-animation:dotsX 2.4s linear infinite;
	-o-animation:dotsX 2.4s linear infinite;
	animation:dotsX 2.4s linear infinite;
}
@keyframes rotate {
	0% {
		-webkit-transform:rotate( 0 );
		-moz-transform:rotate( 0 );
		-o-transform:rotate( 0 );
		transform:rotate( 0 );
	}
	10% {
		width:6.250em;
		height:6.250em;
	}
	66% {
		width:2.4em;
		height:2.4em;
	}
	100% {
		-webkit-transform:rotate(360deg);
		-moz-transform:rotate(360deg);
		-o-transform:rotate(360deg);
		transform:rotate(360deg);
		width:6.250em;
		height:6.250em;
	}
}

@keyframes dotsY {
	66% {
		opacity:.1;
		width:2.4em;
	}
	77% {
		opacity:1;
		width:0;
	}
}

@keyframes dotsX {
	66% {
		opacity:.1;
		height:2.4em;
	}
	77% {
		opacity:1;
		height:0;
	}
}

@keyframes flash {
	33% {
		opacity:0;
		border-radius:0%;
	}
	55% {
		opacity:.6;
		border-radius:100%;
	}
	66% {
		opacity:0;
	}
}
</style>

</head>
<body>

		<div class="loadingDiv" id="loadingDiv">
			<div class="dot white"></div>
			<div class="dot"></div>
			<div class="dot"></div>
			<div class="dot"></div>
			<div class="dot"></div>
		</div>

		<div id="content"></div>

		<script>
			var content=document.getElementById("content");
			content.style.display="none";
			document.body.style.backgroundColor = "#ffffff";
			document.body.style.overflow="hidden";
			window.onload = function (){
				var loadingDiv=document.getElementById("loadingDiv");
				loadingDiv.style.display="none";
				content.style.display="block";
				document.body.style.backgroundColor = "#eee";
				document.body.style.overflow="auto";
			};
	   </script>

</body>

</html>
